Download it now!
Bug 69878 - UI: no right click option for subscript & superscript in Impress
Summary: UI: no right click option for subscript & superscript in Impress
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
4.1.1.2 release
Hardware: Other Windows (All)
: medium normal
Assignee: Katarina Behrens
URL:
Whiteboard: BSA target:4.3.0
Keywords:
Depends on:
Blocks:
 
Reported: 2013-09-27 10:34 UTC by Matthew Shedlock
Modified: 2014-03-21 11:28 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Matthew Shedlock 2013-09-27 10:34:15 UTC
Problem description: First off, I'm not entirely sure this is a bug, but it is annoying.

in impress right clicking on selected text and selecting style does not have the option for sub- & super-script, whereas writer does. I am aware that there is a hotkey for both functions but it does annoy me.

if this is a design related subject could someone please tell me, thanks.

Steps to reproduce:
1. type in something and select it.
2. right click and hover over style
3. wonder where sub- & super-script have gone.

Current behavior: no option for sub- & super-Script

Expected behavior: an option for sub- & super-script.

              
Operating System: Windows 7
Version: 4.1.1.2 release
Comment 1 tommy27 2013-09-28 20:18:53 UTC
@Matthew Shedlock
you are right. Writer has these options in right click menu while Impress hasn't.

this inconsistency of Impress UI is inherited from OOo, affects any LibO release and is still present in AOO as well.

I add UI expert to CC-list.

@Ivan
is this something you can manage or should I ping Impress expert
Comment 2 stragu 2013-11-13 08:44:16 UTC
I agree this is an annoying inconsistency - if there is a Style menu, it should be included in it.
Still the case in 4.1.2.3

There are 3 work-arounds I can think of:

1. Go into Right-click > Character... > Position tab
or Format > Character... > Position tab
where the option is available.

2. Go to View > Toolbars > Customize... and in the Text toolbar, add the option Superscript and Subscript

3. Use the default keyboard shortcuts ctrl+shift+b and ctrl+shift+p
Comment 3 Commit Notification 2014-03-21 11:24:54 UTC
Katarina Behrens committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=e262050a52a6ff154a219e9b0d5e1f66d20a3ead

fdo#69878: Add [sub|super]script entry to text style context submenu



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.